---
title: Fetch API Specs
slug: generic-onboarding/fetch-api-specs
description: Learn how to obtain the API specifications for pushing data to GO's platform with this comprehensive document. Download the JSON file directly from the Admin UI or use the convenient Push Merchant Specs API. Includes sample request and response, error res
createdAt: 2023-02-14T12:52:04.000Z
---

# Introduction

Before executing the API to Push data to GO's platform, the structure of the request of the API is needed. The API request body is configured within the GO platform as per requirement. The JSON of the same journey can be fetched in 2 different ways:

1. Download the API Specs from the Admin UI
2. Push Merchant Specs API&#x20;

**There are two ways of getting API Specifications:**

**Method 1:&#x20;**&#x57;e can get the JSON file for the push merchant specs from the Go-Admin portal.

Flows -> Select Flow-> Click on the settings ⚙️ icon on the right corner of your flow-> Click on Download Push Merchant API specs-> The JSON file is downloaded successfully.&#x20;

**Method 2:** API Method 

The following API can be used to fetch the API specifications for pushing the data of the applications to the GO platform.&#x20;

**URL:** [https://go-preproduction.signzy.app/api/distributors/pushMerchantSpec/&#x7B;&#x7B;flowId}}?sampleData=true](https://go-preproduction.signzy.app/api/distributors/pushMerchantSpec/\{\{flowId}}?sampleData=true)

# Sample Request

In the URL, we need to edit the flow-id and use the authentication token in the headers that we have created using the login API.

Then in response, we’ll get the required API specification.

::::Tabs
:::Tab{title="Preproduction"}
```curl
curl 
--location 
--request GET 'https://go-preproduction.signzy.app/api/distributors/pushMerchantSpec/{{flowId}}?sampleData=true' \
--header 'Authorization: <token>’




```
:::
::::

# Sample Response

:::CodeblockTabs
200: OK

```json
{
   "flowId": "..flow_id..",
   "realmId": "..realm_id..",
   "merchantId": "..merchant_id..",
   "data": [
       {
           "pageId": "..page_id..",
           "widgetName": "..widget_name..",
           "data": {
               "parameter 1": "..data..",
               "parameter 2": "..data..",
               "parameter 3": "..data..",
               .
               .
               .
               "parameter n": "..data.."
           }
       },
       {
           "pageId": "..page_id..",
           "widgetName": "..widget_name..",
           "data": {
               "parameter 1": "..data..",
               "parameter 2": "..data..",
               "parameter 3": "..data..",
               .
               .
               .
               "parameter n": "..data.."
           }
       }
   ]
}

```

400: Bad Request

```json
{ 
   "error":{ 
            "statusCode":400,
            "name":"Error",
            "message":"Bad Request" 
   } 
}

```

401: Unauthorized

```json
{
   "error":{
           "statusCode":401,
           "name":"Error",
           "message":"Authorization Required", 
           "code":"AUTHORIZATION_REQUIRED"
     } 
}

```

404: Not found

```json
{
   "error": {
       "statusCode": 404,
       "name": "Error",
       "message": "Shared class \"Patron\" has no method handling POST /login/1232",
       "status": 404 }}
```
:::

:::hint{type="info"}
### Getting help

Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.


You can reach out to us at [help@signzy.com](#).
:::

